%
%   $Id: rtl.tex,v 1.3 2004/12/30 14:13:47 michael Exp $
%   This file is part of the FPC documentation.
%   Copyright (C) 1997, by Michael Van Canneyt
%
%   The FPC documentation is free text; you can redistribute it and/or
%   modify it under the terms of the GNU Library General Public License as
%   published by the Free Software Foundation; either version 2 of the
%   License, or (at your option) any later version.
%
%   The FPC Documentation is distributed in the hope that it will be useful,
%   but WITHOUT ANY WARRANTY; without even the implied warranty of
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
%   Library General Public License for more details.
%
%   You should have received a copy of the GNU Library General Public
%   License along with the FPC documentation; see the file COPYING.LIB.  If not,
%   write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
%   Boston, MA 02111-1307, USA.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Preamble.
\input{preamble.inc}
\usepackage[utf8x]{inputenc}
\begin{latexonly}
  \ifpdf
      \hypersetup{
           pdfauthor={Michael Van Canneyt},
           pdftitle={RTL reference guide},
           pdfsubject={FPC Run-Time library: Reference guide},
           pdfkeywords={Free Pascal}
           }
  \fi
\end{latexonly}
%
% Settings
%
\makeindex
\usepackage{tabularx}
%
% Start document
%
\begin{document}
\title{Run-Time Library (RTL) : \\ Reference guide.}
\label{rtl}
\docdescription{Free Pascal version \fpcversion:\\ Reference guide for RTL units.}
\docversion{3.2.2}
\input{date.inc}
\author{Micha\"el Van Canneyt}
\maketitle
%
% We have many sections, increase space for numbers.
%
\makeatletter
\renewcommand*\l@section{\@dottedtocline{1}{1.5em}{2.7em}}
\renewcommand*\l@subsection{\@dottedtocline{2}{4.2em}{4em}}
\renewcommand*\l@subsubsection{\@dottedtocline{3}{8.2em}{5em}}
\makeatother
\tableofcontents
\newpage

\section*{About this guide}
This document describes all constants, types, variables, functions and
procedures as they are declared in the units that come standard with the 
Free Pascal Run-Time library (RTL).

Throughout this document, we will refer to functions, types and variables
with \var{typewriter} font. Functions and procedures gave their own
subsections, and for each function or procedure we have the following
topics:
\begin{description}
\item [Declaration] The exact declaration of the function.
\item [Description] What does the procedure exactly do ?
\item [Errors] What errors can occur.
\item [See Also] Cross references to other related functions/commands.
\end{description}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Input generated .tex file(s)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\input{rtl.inc}
\end{document}
